petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatDenseRestoreColumn

returns access to a column of a dense matrix which is returned by MatDenseGetColumn().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreColumn(Mat A,PetscScalar **vals)

Not Collective

### Input Parameter

mat -a MATSEQDENSE or MATMPIDENSE matrix

### Output Parameter

vals -pointer to the data

### See Also

MatDenseGetColumn()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseRestoreColumn_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreColumn_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages